/*
   Pathetic Writer
   Copyright (C) 1997, 1998  Ulric Eriksson <ulric@edu.stockholm.se>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
 */

/*
 * fileio_doc.c
 */

/* ---
Uses catdoc to open "any" Word document as text only. All formatting is lost,
but this is far better than not being able to read the files at all.
--- */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "pw.h"
#include "../common/common.h"
#include "../common/cmalloc.h"

static int load(char *fn, buffer *buf)
/* Returns: 0 if successful, otherwise 1 */
{
	FILE *fp;
	char cmd[1100];
	char b[250];
	int row = 1;
	int s = 0;

	sprintf(cmd, "catdoc \"%s\"", fn);
	fp = popen(cmd, "r");
	if (!fp) return 1;

	while (fgets(b, sizeof b, fp)) {
		char *p = strchr(b, '\n');
		if (p) *p = '\0';
		ins_text(buf, s, make_position(row, 0), (unsigned char *)b,
			style_table[0].format);
		row++;
	}
	pclose(fp);
	return 0;
}

/* ---
Not very conservative file format guessing:
Load any non-empty file with .doc as extension
*/

static int myformat(char *fn)
{
        char *ext;
        FILE *fp;
        char b[100];

        ext = strrchr(fn, '.');
        if (!ext) return 0;     /* no extension */
        if (cstrcasecmp(ext, ".doc"))
                return 0;       /* wrong extension */
        if ((fp = fopen(fn, "r")) == NULL)
                return 0;       /* can't open */
        if (fgets(b, sizeof b, fp)) {
                fclose(fp);
                return 1;
        }
        fclose(fp);
        return 0;
}

/* ---
*/
void fileio_doc_init()
{
	register_format(load, NULL, myformat, "Microsoft Word (*.doc)");
}

