/*
   Copyright (C) 1998  Ulric Eriksson <ulric@edu.stockholm.se>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the Licence, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
 */

/* 
 * EgonP.h - Private definitions for Egon widget
 * 
 */

#ifndef _XawEgonP_h
#define _XawEgonP_h

/***********************************************************************
 *
 * Egon Widget Private Data
 *
 ***********************************************************************/

#include "Egon.h"
#include <X11/Xmu/Converters.h>

/* New fields for the Egon widget class record */
typedef struct {int empty;} EgonClassPart;

/* Full class record declaration */
typedef struct _EgonClassRec {
    CoreClassPart	core_class;
    CompositeClassPart  composite_class;
    EgonClassPart	egon_class;
} EgonClassRec;

extern EgonClassRec egonClassRec;

/* New fields for the Egon widget record */
typedef struct {
    /* resources */
    Dimension   h_space, v_space;

    /* private state */
} EgonPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _EgonRec {
    CorePart	    core;
    CompositePart   composite;
    EgonPart 	    egon;
} EgonRec;

#endif /* _XawEgonP_h */
