/*
   Copyright (C) 1998  Ulric Eriksson <ulric@edu.stockholm.se>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the Licence, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
 */

/* 
 * PlacementP.h - Private definitions for Placement widget
 * 
 */

#ifndef _XawPlacementP_h
#define _XawPlacementP_h

/***********************************************************************
 *
 * Placement Widget Private Data
 *
 ***********************************************************************/

#include "Placement.h"
#include <X11/Xmu/Converters.h>

/* New fields for the Placement widget class record */
typedef struct {int empty;} PlacementClassPart;

/* Full class record declaration */
typedef struct _PlacementClassRec {
    CoreClassPart	core_class;
    CompositeClassPart  composite_class;
    PlacementClassPart	placement_class;
} PlacementClassRec;

extern PlacementClassRec placementClassRec;

/* New fields for the Placement widget record */
typedef struct {
    /* resources */
    PlacerStruct *(*placer)(Dimension, Dimension, Widget *, Cardinal);

#if 0	/* Box stuff */
    /* private state */
    Dimension	preferred_width, preferred_height;
    Dimension	last_query_width, last_query_height;
    XtGeometryMask last_query_mode;
#endif
} PlacementPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _PlacementRec {
    CorePart	    core;
    CompositePart   composite;
    PlacementPart 	    placement;
} PlacementRec;

#endif /* _XawPlacementP_h */
